# $Revision: 1.14 $, $Date: 2002/07/24 15:46:40 $
Summary:	BSD database library for C
Summary(pl):	Biblioteka bazodanowa z BSD dla C
Name:		db2
Version:	2.4.14
Release:	8
Group:		Libraries
License:	BSD
# Source0:	http://www.berkeleydb.com/update/snapshot/db-2.7.7.tar.gz
# Taken from glibc 2.1.3
Source0:	%{name}-glibc-2.1.3.tar.gz
# Patch to make it standalone
Patch0:		%{name}-glibc-2.1.3.patch
Patch1:		%{name}-libdb2.patch
URL:		http://www.berkeleydb.com/
PreReq:		/sbin/ldconfig
Conflicts:	glibc < 2.1.90
BuildConflicts:	glibc-db2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	glibc-db2

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This library used to be part of the glibc
package.

%description -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Ta biblioteka bya czci glibc.

%package devel
Summary:	Header files for Berkeley database library
Summary(pl):	Pliki nagwkowe do biblioteki Berkeley Database
Group:		Development/Libraries
Requires:	%{name} = %{version}
Conflicts:	glibc-devel < 2.1.90
Obsoletes:	glibc-db2-devel

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B tree, Hashing,
Fixed and Variable-length record access methods.

This package contains the header files, and documentation for building
programs which use Berkeley DB.

%description devel -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Berkeley DB obsugje dostp do bazy przez B-drzewa i
funkcje mieszajce ze sta lub zmienn wielkoci rekordu.

Ten pakiet zawiera pliki nagwkowe i dokumentacj do budowania
programw uywajcych Berkeley DB.

%package static
Summary:	Static libraries for Berkeley database library
Summary(pl):	Statyczne biblioteki Berkeley Database
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Conflicts:	glibc-static < 2.1.90
Obsoletes:	glibc-db2-static

%description static
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B tree, Hashing,
Fixed and Variable-length record access methods.

This package contains the static libraries for building programs which
use Berkeley DB.

%description static -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Berkeley DB obsugje dostp do bazy przez B-drzewa i
funkcje mieszajce ze sta lub zmienn wielkoci rekordu.

Ten pakiet zawiera statyczne biblioteki do budowania programw
uywajcych Berkeley DB.

%prep
%setup -q -n db2
%patch0 -p1
%patch1 -p1

%build
%{__make} CFLAGS="%{rpmcflags} -I. -I./include -include ./compat.h"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib,%{_includedir}/db2,%{_libdir},%{_bindir}}

install libdb2.so.3 $RPM_BUILD_ROOT/lib/
install libdb2.a $RPM_BUILD_ROOT%{_libdir}
install db.h db_185.h $RPM_BUILD_ROOT%{_includedir}/db2

for p in db_archive db_checkpoint db_deadlock db_dump db_load \
	db_printlog db_recover db_stat; do
	q="`echo $p | sed -e 's,^db_,db2_,'`"
		install $p $RPM_BUILD_ROOT%{_bindir}/$q
done

ln -sf ../../lib/libdb2.so.3 $RPM_BUILD_ROOT%{_libdir}/libdb2.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README LICENSE
%attr(755,root,root) /lib/libdb2.so.3

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/db2
%{_includedir}/db2/db.h
%{_includedir}/db2/db_185.h
%attr(755,root,root) %{_libdir}/libdb2.so
%attr(755,root,root) %{_bindir}/db2_archive
%attr(755,root,root) %{_bindir}/db2_checkpoint
%attr(755,root,root) %{_bindir}/db2_deadlock
%attr(755,root,root) %{_bindir}/db2_dump
%attr(755,root,root) %{_bindir}/db2_load
%attr(755,root,root) %{_bindir}/db2_printlog
%attr(755,root,root) %{_bindir}/db2_recover
%attr(755,root,root) %{_bindir}/db2_stat

%files static
%defattr(644,root,root,755)
%{_libdir}/libdb2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: db2.spec,v $
Revision 1.14  2002/07/24 15:46:40  kloczek
- release 8: use new %doc.

Revision 1.13  2002/05/28 23:45:54  djrzulf
- corrected Source,

Revision 1.12  2002/04/25 16:09:25  arturs
fixed a small typo

Revision 1.11  2002/02/25 07:58:39  marcus
- rel.7.

Revision 1.10  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/08 12:20:05  qboosh
- changed URLs to working ones

Revision 1.8  2002/01/18 02:12:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/21 14:29:20  qboosh
- adapterized, pl translations

Revision 1.6  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.5  2001/01/25 20:03:22  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.3  2000/11/17 16:41:14  kloczek
- release 6 (for allow upgrade from RH version),
- added %%{_includedir}/db2 directory to %files list,
- "Provides: glibc-db2" replaced by "BuildConflicts: glibc-db2".

Revision 1.2  2000/09/26 16:29:29  baggins
- release 1
- obsoletes glibc-db2*
- removed libdb.so and libndbm links

Revision 1.1  2000/07/18 13:29:04  baggins
- initial revision

* Wed Jun 28 2000 Matt Wilson <msw@redhat.com>
- regenerated the db2.patch to link against -ldb2, not -ldb

* Mon May  8 2000 Jeff Johnson <jbj@redhat.com>
- Rename files (like db1) to prepare for db3 deployment.
- Change version to reflect Berkeley db rather than glibc distribution.

* Thu Apr 27 2000 Jakub Jelinek <jakub@redhat.com>
- Don't provide makedb, it is provided by glibc.

* Wed Apr 20 2000 Jakub Jelinek <jakub@redhat.com>
- Create.
